Loading...
Searching...
No Matches
juce::ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker Struct Reference

`#include <juce_ListenerList.h>`

## Public Member Functions

constexpr bool | shouldBailOut () const noexcept

## Detailed Description

template<class ListenerClass, class ArrayType = Array<ListenerClass*>>
struct juce::ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker

A dummy bail-out checker that always returns false. See the class description for info about writing a bail-out checker.

Definition at line 315 of file juce_ListenerList.h.

## Member Function Documentation

## shouldBailOut()

template<class ListenerClass, class ArrayType = Array<ListenerClass*>>

bool juce::ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker::shouldBailOut | ( |  | ) | const

inline constexpr noexcept

Definition at line 317 of file juce_ListenerList.h.

The documentation for this struct was generated from the following file:

- juce_ListenerList.h